Spigot Inventory Manager 0.3

A cool plugin to improve the Vanilla keep inventory.

  1. J4D3N submitted a new resource:

    Inventory Manager - A cool plugin to improve the Vanilla keep inventory.

    Read more about this resource...
     
  2. Did not work on spigot 1.8.7

    Code (Text):
    [00:52:24] [Server thread/ERROR]: Could not load 'plugins/InventoryManager.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: net/slyjaden/plugin/im/InventoryPlugin : Unsupported major.minor version 52.0
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) ~[spigot.jar:git-Spigot-f928e7a-e91aed8]
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[spigot.jar:git-Spigot-f928e7a-e91aed8]
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [spigot.jar:git-Spigot-f928e7a-e91aed8]
        at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:291) [spigot.jar:git-Spigot-f928e7a-e91aed8]
        at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:198) [spigot.jar:git-Spigot-f928e7a-e91aed8]
        at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:528) [spigot.jar:git-Spigot-f928e7a-e91aed8]
        at java.lang.Thread.run(Unknown Source) [?:1.7.0_51]
    Caused by: java.lang.UnsupportedClassVersionError: net/slyjaden/plugin/im/InventoryPlugin : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.7.0_51]
        at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.7.0_51]
        at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.7.0_51]
        at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.7.0_51]
        at java.net.URLClassLoader.access$100(Unknown Source) ~[?:1.7.0_51]
        at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_51]
        at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.7.0_51]
        at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_51]
        at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.7.0_51]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[spigot.jar:git-Spigot-f928e7a-e91aed8]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot.jar:git-Spigot-f928e7a-e91aed8]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_51]
        at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.7.0_51]
        at java.lang.Class.forName0(Native Method) ~[?:1.7.0_51]
        at java.lang.Class.forName(Unknown Source) ~[?:1.7.0_51]
        at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[spigot.jar:git-Spigot-f928e7a-e91aed8]
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[spigot.jar:git-Spigot-f928e7a-e91aed8]
        ... 6 more
     
  3. This is a Java version issue, this plugin was compiled in 1.8. Try upgrading Java if not, I'll recompile it for 1.7.
     
  4. Okay, thank you for the clarification. :) I am using a shared host so I cannot upgrade their java. If it is not too much work, please consider making a 1.7 java version. :)
     
  5. I'll recompile it for you. :)
     
    • Friendly Friendly x 1
  6. Just updated.
     
    • Like Like x 1
  7. Throws an error in console, I really need this to work good on 1.16.2 if you can do it! All I look for is a simple toggle for pvp linked with keep inventory. If pvp is on, keepinv is off, and vice versa